/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __AGENT_RECORDER_MANAGER_H__
#define __AGENT_RECORDER_MANAGER_H__

#include <glib.h>

G_BEGIN_DECLS

#define AGENT_TYPE_RECORDER_MANAGER		(agent_recorder_manager_get_type ())
#define AGENT_RECORDER_MANAGER(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), AGENT_TYPE_RECORDER_MANAGER, AgentRecorderManager))
#define AGENT_RECORDER_MANAGER_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), AGENT_TYPE_RECORDER_MANAGER, AgentRecorderManagerClass))
#define AGENT_IS_RECORDER_MANAGER(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), AGENT_TYPE_RECORDER_MANAGER))
#define AGENT_IS_RECORDER_MANAGER_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), AGENT_TYPE_RECORDER_MANAGER))
#define AGENT_RECORDER_MANAGER_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), AGENT_TYPE_RECORDER_MANAGER, AgentRecorderManagerClass))

typedef struct _AgentRecorderManager		AgentRecorderManager;
typedef struct _AgentRecorderManagerClass	AgentRecorderManagerClass;
typedef struct _AgentRecorderManagerPrivate	AgentRecorderManagerPrivate;

struct _AgentRecorderManager
{
  GObject parent;
  AgentRecorderManagerPrivate *priv;
};

struct _AgentRecorderManagerClass
{
  GObjectClass parent;
};

GType			agent_recorder_manager_get_type	(void);

AgentRecorderManager*	agent_recorder_manager_new	(void);

G_END_DECLS

#endif /* __AGENT_RECORDER_MANAGER_H__ */
