/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_ADDRBAR_H__
#define __GLOOK_ADDRBAR_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GLOOK_TYPE_ADDRBAR		(glook_addrbar_get_type ())
#define GLOOK_ADDRBAR(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_ADDRBAR, GLookAddrbar))
#define GLOOK_ADDRBAR_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_ADDRBAR, GLookAddrbarClass))
#define GLOOK_IS_ADDRBAR(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_ADDRBAR))
#define GLOOK_IS_ADDRBAR_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_ADDRBAR))
#define GLOOK_ADDRBAR_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_ADDRBAR, GLookAddrbarClass))

typedef struct _GLookAddrbar		GLookAddrbar;
typedef struct _GLookAddrbarClass	GLookAddrbarClass;
typedef struct _GLookAddrbarPriv	GLookAddrbarPriv;

struct _GLookAddrbar
{
  GtkEntry parent;
  GLookAddrbarPriv *priv;
};

struct _GLookAddrbarClass
{
  GtkEntryClass parent_class;
};

GType		glook_addrbar_get_type		(void) G_GNUC_CONST;

GtkWidget*	glook_addrbar_new		(void);

void		glook_addrbar_set_progress	(GLookAddrbar *addrbar,
						 gboolean      progress);
gboolean	glook_addrbar_get_progress	(GLookAddrbar *addrbar);
void		glook_addrbar_set_bookmark	(GLookAddrbar *addrbar,
						 gboolean      bookmark);
gboolean	glook_addrbar_get_bookmark	(GLookAddrbar *addrbar);

G_END_DECLS

#endif /* __GLOOK_ADDRBAR_H__ */
