/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_BLANK_TAB_H__
#define __GLOOK_BLANK_TAB_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GLOOK_TYPE_BLANK_TAB		(glook_blank_tab_get_type ())
#define GLOOK_BLANK_TAB(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_BLANK_TAB, GLookBlankTab))
#define GLOOK_BLANK_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_BLANK_TAB, GLookBlankTabClass))
#define GLOOK_IS_BLANK_TAB(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_BLANK_TAB))
#define GLOOK_IS_BLANK_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_BLANK_TAB))
#define GLOOK_BLANK_TAB_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_BLANK_TAB, GLookBlankTabClass))

typedef struct _GLookBlankTab		GLookBlankTab;
typedef struct _GLookBlankTabClass	GLookBlankTabClass;
typedef struct _GLookBlankTabPriv	GLookBlankTabPriv;

struct _GLookBlankTab
{
  GLookTab parent;
  GLookBlankTabPriv *priv;
};

struct _GLookBlankTabClass
{
  GLookTabClass parent_class;
};

GType		glook_blank_tab_get_type	(void) G_GNUC_CONST;

GtkWidget*	glook_blank_tab_new		(void);

void		glook_blank_tab_set_uri		(GLookBlankTab *tab);

G_END_DECLS

#endif /* __GLOOK_BLANK_TAB_H__ */
