/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_LOOK_TAB_H__
#define __GLOOK_LOOK_TAB_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GLOOK_TYPE_LOOK_TAB		(glook_look_tab_get_type ())
#define GLOOK_LOOK_TAB(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_LOOK_TAB, GLookLookTab))
#define GLOOK_LOOK_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_LOOK_TAB, GLookLookTabClass))
#define GLOOK_IS_LOOK_TAB(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_LOOK_TAB))
#define GLOOK_IS_LOOK_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_LOOK_TAB))
#define GLOOK_LOOK_TAB_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_LOOK_TAB, GLookLookTabClass))

typedef struct _GLookLookTab		GLookLookTab;
typedef struct _GLookLookTabClass	GLookLookTabClass;
typedef struct _GLookLookTabPriv	GLookLookTabPriv;

struct _GLookLookTab
{
  GLookTab parent;
  GLookLookTabPriv *priv;
};

struct _GLookLookTabClass
{
  GLookTabClass parent_class;
};

GType		glook_look_tab_get_type		(void) G_GNUC_CONST;

GtkWidget*	glook_look_tab_new		(void);

GtkWidget*	glook_look_tab_get_terminal	(GLookLookTab *tab);
gboolean	glook_look_tab_get_writable	(GLookLookTab *tab);
void		glook_look_tab_paste_clipboard	(GLookLookTab *tab);

G_END_DECLS

#endif /* __GLOOK_LOOK_TAB_H__ */
