/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_PLAY_TAB_H__
#define __GLOOK_PLAY_TAB_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GLOOK_TYPE_PLAY_TAB		(glook_play_tab_get_type ())
#define GLOOK_PLAY_TAB(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_PLAY_TAB, GLookPlayTab))
#define GLOOK_PLAY_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_PLAY_TAB, GLookPlayTabClass))
#define GLOOK_IS_PLAY_TAB(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_PLAY_TAB))
#define GLOOK_IS_PLAY_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_PLAY_TAB))
#define GLOOK_PLAY_TAB_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_PLAY_TAB, GLookPlayTabClass))

typedef struct _GLookPlayTab		GLookPlayTab;
typedef struct _GLookPlayTabClass	GLookPlayTabClass;
typedef struct _GLookPlayTabPriv	GLookPlayTabPriv;

struct _GLookPlayTab
{
  GLookTab parent;
  GLookPlayTabPriv *priv;
};

struct _GLookPlayTabClass
{
  GLookTabClass parent_class;
};

GType		glook_play_tab_get_type		(void) G_GNUC_CONST;

GtkWidget*	glook_play_tab_new		(void);

void		glook_play_tab_set_uri		(GLookPlayTab *tab);

G_END_DECLS

#endif /* __GLOOK_PLAY_TAB_H__ */
