/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_STATUSBAR_H__
#define __GLOOK_STATUSBAR_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GLOOK_TYPE_STATUSBAR		(glook_statusbar_get_type ())
#define GLOOK_STATUSBAR(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_STATUSBAR, GLookStatusbar))
#define GLOOK_STATUSBAR_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_STATUSBAR, GLookStatusbarClass))
#define GLOOK_IS_STATUSBAR(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_STATUSBAR))
#define GLOOK_IS_STATUSBAR_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_STATUSBAR))
#define GLOOK_STATUSBAR_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_STATUSBAR, GLookStatusbarClass))

typedef struct _GLookStatusbar		GLookStatusbar;
typedef struct _GLookStatusbarClass	GLookStatusbarClass;
typedef struct _GLookStatusbarPriv	GLookStatusbarPriv;

struct _GLookStatusbar
{
  GtkStatusbar parent;
  GLookStatusbarPriv *priv;
};

struct _GLookStatusbarClass
{
  GtkStatusbarClass parent_class;
};

GType		glook_statusbar_get_type	(void) G_GNUC_CONST;

GtkWidget*	glook_statusbar_new		(void);

guint		glook_statusbar_push		(GLookStatusbar *statusbar,
						 guint           context_id,
						 GtkMessageType  type,
						 const gchar    *format,
						 ...);

#endif /* __GLOOK_STATUSBAR_H__ */
