/* Copyright (c) 2010 Lodes Network Inc.
 * Written by: xiaohu <xiaohu417@gmail.com>
 */
#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>

#include "luamod.h"

/* external defined array
 * see luamod-*.c
 */
extern luaL_Reg _lua_log[];
extern luaL_Reg _lua_history[];
extern luaL_Reg _lua_readline[];
extern luaL_Reg _lua_gettext[];
extern luaL_Reg _lua_system[];


/**
 * luaopen__ttyutils:
 */
LUALIB_API gint
luaopen__ttyutils (lua_State *L)
{
  lua_pushstring (L, g_get_application_name ());
  lua_setglobal (L, "_APPNAME");
  lua_pushstring (L, VERSION);
  lua_setglobal (L, "_APPVER");
  lua_pushstring (L, g_get_prgname ());
  lua_setglobal (L, "_PRGNAME");

  luaL_register (L, "log",	_lua_log);
  luaL_register (L, "history",	_lua_history);
  luaL_register (L, "readline",	_lua_readline);
  luaL_register (L, "gettext",	_lua_gettext);
  luaL_register (L, "system",	_lua_system);

  return 0;
}
