/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __RECORD_PLUGIN_H__
#define __RECORD_PLUGIN_H__

#include <glib.h>

G_BEGIN_DECLS

#define RECORD_TYPE_PLUGIN		(record_plugin_get_type ())
#define RECORD_PLUGIN(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), RECORD_TYPE_PLUGIN, RecordPlugin))
#define RECORD_PLUGIN_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), RECORD_TYPE_PLUGIN, RecordPluginClass))
#define RECORD_IS_PLUGIN(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), RECORD_TYPE_PLUGIN))
#define RECORD_IS_PLUGIN_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), RECORD_TYPE_PLUGIN))
#define RECORD_PLUGIN_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), RECORD_TYPE_PLUGIN, RecordPluginClass))

typedef struct _RecordPlugin		RecordPlugin;
typedef struct _RecordPluginClass	RecordPluginClass;
typedef struct _RecordPluginPrivate	RecordPluginPrivate;

struct _RecordPlugin
{
  GObject parent;
  RecordPluginPrivate *priv;
};

struct _RecordPluginClass
{
  GObjectClass parent;
};

GType		record_plugin_get_type	(void);

RecordPlugin*	record_plugin_new		(void);

const gchar*	record_plugin_get_name	(RecordPlugin *plugin);
void		record_plugin_set_name	(RecordPlugin *plugin,
						 const gchar    *name);

G_END_DECLS

#endif /* __RECORD_PLUGIN_H__ */
