# .spec file for ttyutils rpm package
#
# Preamble Section
#
Name:		ttyutils
Summary:	UNIX/Linux terminal session monitor toolkit
Version:	3.0.3
Release:	1
License:	GPLv2+
Group:		Applications/System
URL:		http://www.ttyutils.net
Source:		%{name}-3.0.3.tar.gz
Vendor:		Xiaohu Wu <xiaohu417@gmail.com>
Packager:	Xiaohu Wu <xiaohu417@gmail.com>
BuildRoot:	/tmp/%{name}-3.0.3
BuildPrereq:	glib2-devel >= 2.25.14
BuildPrereq:	gtk2-devel >= 2.20.0
BuildPrereq:	vte-devel >= 0.24.0
BuildPrereq:	libzip-devel >= 0.8
BuildPrereq:	lua-devel >= 5.1
Requires: 	glib2 >= 2.25.14
Requires: 	gtk2 >= 2.20.0
Requires: 	vte >= 0.24.0
Requires: 	libzip >= 0.8
Requires: 	lua >= 5.1

%description
Terminal session monitor and record toolkit.
With ttyutils, you can real-time watch, control and record user terminal
session, or writing scripts to automated the interactive terminal program
such as ftp and so on.

%build
%configure --disable-debug --disable-static
make

%install
#%makeinstall
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/ttyutils/lua/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

# prepare
#
%prep
%setup -q

# pre-install
#
%pre

# post-install
#
%post

# pre-uninstall
#
%preun

# post-uninstall
#
%postun

# install files
#
%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/*
%dir %{_libdir}/ttyutils/lua
%config %{_libdir}/ttyutils/lua/*.lua
%dir %{_sysconfdir}/ttyutils
%config %{_sysconfdir}/ttyutils/*

%changelog
* Fri Aug 20 2010 xiaohu <xiaohu417@gmail.com>
- Ttyutils 3.0.1 release
