/* Copyright (C) 2010 xiaohu <xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __T_TERMIO_H__
#define __T_TERMIO_H__

#include <glib.h>

G_BEGIN_DECLS

void		t_termio_set_iflag	(gint            fd,
					 guint           attr,
					 gboolean        setting);
gboolean	t_termio_get_iflag	(gint            fd,
					 guint           attr);
void		t_termio_set_oflag	(gint            fd,
					 guint           attr,
					 gboolean        setting);
gboolean	t_termio_get_oflag	(gint            fd,
					 guint           attr);
void		t_termio_set_lflag	(gint            fd,
					 guint           attr,
					 gboolean        setting);
gboolean	t_termio_get_lflag	(gint            fd,
					 guint           attr);
void		t_termio_set_cflag	(gint            fd,
					 guint           attr,
					 gboolean        setting);
gboolean	t_termio_get_cflag	(gint            fd,
					 guint           attr);

void		t_termio_makeraw	(gint            fd);
gint		t_termio_getpass	(gchar          *buff,
					 gint            size,
					 GError        **error);

gboolean	t_termio_set_winsize	(gint            fd,
					 guint16         rows,
					 guint16         cols);
gboolean	t_termio_get_winsize	(gint            fd,
					 guint16        *rows,
					 guint16        *cols);

G_END_DECLS

#endif /* __T_TERMIO_H__ */
