/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_AGENT_TAB_H__
#define __GLOOK_AGENT_TAB_H__

#include <gtk/gtk.h>
#include <ttyutils/ttyutils.h>

G_BEGIN_DECLS

#define GLOOK_TYPE_AGENT_TAB		(glook_agent_tab_get_type ())
#define GLOOK_AGENT_TAB(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_AGENT_TAB, GLookAgentTab))
#define GLOOK_AGENT_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_AGENT_TAB, GLookAgentTabClass))
#define GLOOK_IS_AGENT_TAB(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_AGENT_TAB))
#define GLOOK_IS_AGENT_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_AGENT_TAB))
#define GLOOK_AGENT_TAB_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_AGENT_TAB, GLookAgentTabClass))

typedef struct _GLookAgentTab		GLookAgentTab;
typedef struct _GLookAgentTabClass	GLookAgentTabClass;
typedef struct _GLookAgentTabPriv	GLookAgentTabPriv;

struct _GLookAgentTab
{
  GLookTab parent;
  GLookAgentTabPriv *priv;
};

struct _GLookAgentTabClass
{
  GLookTabClass parent_class;
};

GType		glook_agent_tab_get_type	(void) G_GNUC_CONST;

GtkWidget*	glook_agent_tab_new		(void);

G_END_DECLS

#endif /* __GLOOK_AGENT_TAB_H__ */
