/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_LOCAL_TAB_H__
#define __GLOOK_LOCAL_TAB_H__

#include <gtk/gtk.h>
#include "glook-tab.h"

G_BEGIN_DECLS

#define GLOOK_TYPE_LOCAL_TAB		(glook_local_tab_get_type ())
#define GLOOK_LOCAL_TAB(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_LOCAL_TAB, GLookLocalTab))
#define GLOOK_LOCAL_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_LOCAL_TAB, GLookLocalTabClass))
#define GLOOK_IS_LOCAL_TAB(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_LOCAL_TAB))
#define GLOOK_IS_LOCAL_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_LOCAL_TAB))
#define GLOOK_LOCAL_TAB_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_LOCAL_TAB, GLookLocalTabClass))

typedef struct _GLookLocalTab		GLookLocalTab;
typedef struct _GLookLocalTabClass	GLookLocalTabClass;
typedef struct _GLookLocalTabPriv	GLookLocalTabPriv;

struct _GLookLocalTab
{
  GLookTab parent;
  GLookLocalTabPriv *priv;
};

struct _GLookLocalTabClass
{
  GLookTabClass parent_class;
};

GType		glook_local_tab_get_type	(void) G_GNUC_CONST;

GtkWidget*	glook_local_tab_new		(void);

GtkBuilder*	glook_local_tab_get_builder	(GLookLocalTab *tab);
GtkWidget*	glook_local_tab_get_toplevel	(GLookLocalTab *tab);
GtkWidget*	glook_local_tab_get_widget	(GLookLocalTab *tab,
						 const gchar   *name);
GObject*	glook_local_tab_get_object	(GLookLocalTab *tab,
						 const gchar   *name);

G_END_DECLS

#endif /* __GLOOK_LOCAL_TAB_H__ */
