/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __GLOOK_TERMINAL_TAB_H__
#define __GLOOK_TERMINAL_TAB_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#ifdef G_OS_UNIX

#define GLOOK_TYPE_TERMINAL_TAB			(glook_terminal_tab_get_type ())
#define GLOOK_TERMINAL_TAB(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOOK_TYPE_TERMINAL_TAB, GLookTerminalTab))
#define GLOOK_TERMINAL_TAB_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GLOOK_TYPE_TERMINAL_TAB, GLookTerminalTabClass))
#define GLOOK_IS_TERMINAL_TAB(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOOK_TYPE_TERMINAL_TAB))
#define GLOOK_IS_TERMINAL_TAB_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GLOOK_TYPE_TERMINAL_TAB))
#define GLOOK_TERMINAL_TAB_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GLOOK_TYPE_TERMINAL_TAB, GLookTerminalTabClass))

typedef struct _GLookTerminalTab	GLookTerminalTab;
typedef struct _GLookTerminalTabClass	GLookTerminalTabClass;
typedef struct _GLookTerminalTabPriv	GLookTerminalTabPriv;

struct _GLookTerminalTab
{
  GLookTab parent;
  GLookTerminalTabPriv *priv;
};

struct _GLookTerminalTabClass
{
  GLookTabClass parent_class;
};

GType		glook_terminal_tab_get_type	(void) G_GNUC_CONST;

GtkWidget*	glook_terminal_tab_new		(void);


G_END_DECLS

#endif /* G_OS_UNIX */
#endif /* __GLOOK_TERMINAL_TAB_H__ */
