/* Copyright (C) 2010 xiaohu<xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __PLAY_APP_H__
#define __PLAY_APP_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define PLAY_TYPE_APP			(play_app_get_type ())
#define PLAY_APP(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), PLAY_TYPE_APP, PlayApp))
#define PLAY_APP_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), PLAY_TYPE_APP, PlayAppClass))
#define PLAY_IS_APP(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), PLAY_TYPE_APP))
#define PLAY_IS_APP_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), PLAY_TYPE_APP))
#define PLAY_APP_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS ((obj), PLAY_TYPE_APP, PlayAppClass))

typedef struct _PlayApp		PlayApp;
typedef struct _PlayAppClass	PlayAppClass;
typedef struct _PlayAppPrivate	PlayAppPrivate;

struct _PlayApp
{
  GObject         parent;
  PlayAppPrivate *priv;
};

struct _PlayAppClass
{
  GObjectClass parent;
};

GType		play_app_get_type	(void);

PlayApp*	play_app_new		(void);
PlayApp*	play_app_get		(void);

gboolean	play_app_start		(PlayApp     *app,
					 const gchar *pathname);
void		play_app_quit		(PlayApp     *app);

G_END_DECLS

#endif /* __PLAY_APP_H__ */
