/* Copyright (C) 2010 Lodes Network Inc.
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <signal.h>

#include "ttyutils/ttyutils.h"

void	test_ring		(void);
void	test_console		(void);

/**
 * sighup_handler:
 */
static void
sighup_handler (gint signo)
{
  g_print ("hang up signal ...");
}

gint
main (gint argc, gchar **argv)
{
  g_type_init ();
  g_test_init (&argc, &argv, NULL);

  signal (SIGHUP, sighup_handler);

  g_test_bug_base ("<xiaohu417@gmail.com>");

  g_test_add_func ("/test/ring", test_ring);
  g_test_add_func ("/test/console", test_console);

  return g_test_run ();
}
