/* Copyright (C) 2010 xiaohu <xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __T_MISC_H__
#define __T_MISC_H__

#include <glib.h>
#include <stdio.h>

G_BEGIN_DECLS

void		t_glib_log_handler	(const gchar    *domain,
					 GLogLevelFlags  level,
					 const gchar    *message,
					 gpointer        user_data);
void		t_glib_print_handler	(const gchar    *message);

void		t_gcrypt_log_handler	(gpointer        user_data,
					 gint            level,
					 const gchar    *format,
					 va_list         args);

gboolean	t_set_logfile		(const gchar    *filename);
FILE*		t_get_logfile		(void);

void		t_lua_path_add		(const gchar    *path);

void		t_print_version		(void);


gboolean	t_expire_check		(void);

gdouble		t_get_current_time	(void);

void		t_strip_hyphen_options	(gint           *argc,
					 gchar         **argv[]);
gboolean	t_check_version		(void);

G_END_DECLS

#endif /* __T_MISC_H__ */
