/* Copyright (C) 2010 xiaohu <xiaohu417@gmail.com>,
 * All rights reserved.
 */
#ifndef __T_RECORD_H__
#define __T_RECORD_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct	_TRecordHead	TRecordHead;
typedef struct	_TRecordIndex	TRecordIndex;

#define T_RECORD_VERSION	1

struct _TRecordHead
{
  guint8  version;
  gint8   clevel;
  gchar   charset[30];
  gchar   term[16];
  guint16 nrows;
  guint16 ncols;
  gdouble starting;
  gdouble duration;
  gchar   creator[31];
  guint8  encrypted;
  guint8  passwd[24];
  guint32 nindexes;
  guint64 ndata;
  guint32 nfiles;
  guint8  unused[52];
};

struct _TRecordIndex
{
  gdouble interval;
  guint16 size;
};

G_END_DECLS

#endif /* __T_RECORD_H__ */
